Bug 1376755 (CVE-2016-7422) - CVE-2016-7422 Qemu: virtio: null pointer dereference in virtqueu_map_desc
Summary: CVE-2016-7422 Qemu: virtio: null pointer dereference in virtqueu_map_desc
Status: NEW
Alias: CVE-2016-7422
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20160915,reported=2...
Keywords: Security
Depends On: 1376756 1377517 1476049 1476068 1476069 1476072 1476074 1476077
Blocks: 1369163 1476084
TreeView+ depends on / blocked
 
Reported: 2016-09-16 10:36 UTC by Prasad J Pandit
Modified: 2018-07-18 15:01 UTC (History)
39 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2392 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-08-01 20:04:36 UTC
Red Hat Product Errata RHSA-2017:2408 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security and bug fix update 2017-08-02 01:17:55 UTC

Description Prasad J Pandit 2016-09-16 10:36:23 UTC
Quick emulator(Qemu) built with the virtio framework is vulnerable to a null
pointer dereference flaw. It could occur if the guest was to set the I/O
descriptor buffer length to a large value.

A privileged user inside guest could use this flaw to crash the Qemu instance
on the host resulting in DoS.

Upstream fix:
-------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-09/msg03546.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/09/16/4

Comment 1 Prasad J Pandit 2016-09-16 10:37:01 UTC
Acknowledgments:

Name: Qinghao Tang (360.cn Marvel Team), Zhenhao Hong (360.cn Marvel Team)

Comment 2 Prasad J Pandit 2016-09-16 10:40:51 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1376756]

Comment 7 errata-xmlrpc 2017-08-02 00:56:40 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 10.0 (Newton)
  Red Hat OpenStack Platform 11.0 (Ocata)
  Red Hat Enterprise Linux OpenStack Platform 6.0 (Juno) for RHEL 7
  Red Hat Enterprise Linux OpenStack Platform 7.0 (Kilo) for RHEL 7
  Red Hat OpenStack Platform 8.0 (Liberty)
  Red Hat OpenStack Platform 9.0 (Mitaka)

Via RHSA-2017:2408 https://access.redhat.com/errata/RHSA-2017:2408

Comment 8 errata-xmlrpc 2017-08-02 04:45:33 UTC
This issue has been addressed in the following products:

  RHEV 4.X RHEV-H and Agents for RHEL-7

Via RHSA-2017:2392 https://access.redhat.com/errata/RHSA-2017:2392


Note You need to log in before you can comment on or make changes to this bug.